Subject: [Gen-art] Gen-ART Review of draft-ietf-storm-iscsimib-03.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 27 Jan 2013 16:54:10 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at < http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Document: draft-ietf-storm-iscsimib-03.txt
Reviewer: Dan Romascanu
Review Date: 1/27/13
IETF LC End Date: 1/28/13
IESG Telechat date: (if known)

Summary: Almost Ready

Major issues:

1) This document will obsolete (when approved) RFC 4544, and add support for iSCSI protocol evolution according to the consolidated version of the iSCSI protocol (as per draft-ietf-storm-iscsi-cons) and for the updates to iSCSI (as per draft-ietf-storm-iscsi-sam) for ProtocolLevel. There is no indication however in for the operators when an upgrade is recommended or becomes mandatory, and which version of the protocol is to be used during the transition, function of the iSCSI versions of the protocol.  

2) A number of changes where agreed by the WG, as reflected in the message http://www.ietf.org/mail-archive/web/storm/current/msg00652.html, according to which: 

> In order to move forward, I suggest that the authors make the functional changes [1] - [6], not make changes [A] - [F] and [I}, and use their best judgment on what (if anything) to do about [G] and [H]

My understanding is that the changes [1]-[6] were implemented, and the authors applying their best judgment did not implement [G] and [H]. However, changes [1]-[6] are npt reflected in Section 5. 

3) I did not perform a MIB Doctor review of the document. I notice however that the text Security Considerations section and the corresponding references do not conform to the latest version of the guidelines for the Security Considerations sections in MIB documents, as per https://svn.tools.ietf.org/area/ops/trac/wiki/mib-security#

Minor issues:

Nits/editorial comments: